<%@ Page Language="C#" AutoEventWireup="true" CodeFile="stall_1.aspx.cs" Inherits="install_stall_1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>安装程序参数设置,以及程序安装-飞梦系统安装</title>
    <link href="../admin/skin/css.css" rel="stylesheet" type="text/css" />
     <link href="/images/css/inbox.css"rel="stylesheet" type="text/css" />
  <script>
   //定义公用变量
    var XmlHttp;
    //创建请求对象
    function CreateXMLHttpRequest()
    {
        if (window.XMLHttpRequest) 
       { 
         XmlHttp = new XMLHttpRequest(); 
       } 
       else if (window.ActiveXObject) 
       { 
          try {
                XmlHttp = new ActiveXObject("Msxml2.XMLHTTP"); 
          } 
          catch (e1) {
            try { 
                XmlHttp = new ActiveXObject("Microsoft.XMLHTTP"); 
             } 
             catch (e2) 
             { } 
         } 
       }
    }
    //发送请求
    function Page_Load()
    {
       //获取需要传的参数
       var server=document.getElementById("TextBox1").value;
       var uid=document.getElementById("TextBox2").value;
       var pwd=document.getElementById("TextBox3").value;
       var db=document.getElementById("TextBox4").value;
       var str="server="+server+"&uid="+uid+"&pwd="+pwd+"&database="+db+"";
       
       //调用创建请求对象的方法
       CreateXMLHttpRequest();
       //建立请求连接
       XmlHttp.open("Post","stall_1.aspx",false)
       //定义表单上传
       XmlHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded;charset=UTF-8");
       //设置回调函数
       XmlHttp.onreadystatechange=CallFun;
       //发送请求
      // XmlHttp.send("value=1");
       XmlHttp.send(str);    
    }
    //响应请求
    function CallFun()
    {
        if(XmlHttp.readyState==4)
        {
            if(XmlHttp.status==200)
            {
                var test=XmlHttp.responseText;
                if(test=="0")
                {
                   return false;
                }
                else if(test=="1")
                { 
                   return true; 
                }
            }
            else
            {
              return false;
            }
        }
        else
        {
            return false;
        }
    } 
  function Display()
  {
      if(Pan())
      {
         Page_Load();
         if(CallFun())
         {
            document.getElementById("dv").style.display="none";
            document.getElementById("tab").style.display="inline";
            return true;
            
         }
         else
         {
           alert("数据库连接失败,请确认你输入的信息是否正确!");
           return false;
         }
      }
      else
      {
         return false;
      }
    
  }
  function Pan()
  {
     if(document.getElementById("TextBox1").value=="")
     {
         alert("请输入数据库服务器地址");
         return false;
     }
     else if(document.getElementById("TextBox2").value=="")
     {
         alert("请输入数据库用户名");
         return false;
     }
     else if(document.getElementById("TextBox3").value=="")
     {
         alert("请输入数据库密码");
         return false;
     }
     else if(document.getElementById("TextBox4").value=="")
     {
         alert("请输入数据库名");
         return false;
     }
     else if(document.getElementById("TextBox5").value=="")
     {
         alert("请输入管理员用户名");
         return false;
     }
     else if(document.getElementById("TextBox6").value=="")
     {
         alert("请输入管理员密码");
         return false;
     }
     else if(document.getElementById("TextBox12").value=="")
     {
         alert("请输入确认密码");
         return false;
     }
     else if(document.getElementById("TextBox6").value!=document.getElementById("TextBox12").value)
     {
         alert("请输入相同的管理员密码");
         return false;
     }
     else if(document.getElementById("TextBox8").value=="")
     {
         alert("请输入网站名称");
         return false;
     }
     else if(document.getElementById("TextBox9").value=="")
     {
         alert("请输入网站地址");
         return false;
     }
     else
     {
        return true;
     }
  }
  </script>
</head>
<body>
    <form id="form1" runat="server">
    <div id=tab_start runat=server>
    <div id=dv>
    <table style="width: 80%" align=center class="Ibx_gTable_Con">
            <tr align=center>
                <td>
                  安装协议 &gt;&gt;<font color=red>系统参数设置</font>&gt;&gt;完成
                </td>
            </tr>
        </table>
        <table style="width: 80%" align=center class="Ibx_gTable_Con">
            <tr align=center class=bg>
                <td colspan="2">
                    数据库参数设置</td>
            </tr>
            <tr>
                <td width="20%">
                    数据库服务器:</td>
                <td>
                    <asp:TextBox ID="TextBox1" runat="server">.</asp:TextBox>&nbsp;<font color=red>*</font>红色星号表示必须填写
                    </td>
            </tr>
            <tr>
                <td width="20%">
                    用户名:</td>
                <td>
                    <asp:TextBox ID="TextBox2" runat="server">sa</asp:TextBox>&nbsp;<font color=red>*</font></td>
            </tr>
            <tr>
                <td width="20%">
                    用户密码:</td>
                <td>
                    <asp:TextBox ID="TextBox3" runat="server">sasa</asp:TextBox>&nbsp;<font color=red>*</font></td>
            </tr>
            <tr>
                <td width="20%">
                    数据库名称:</td>
                <td>
                    <asp:TextBox ID="TextBox4" runat="server"></asp:TextBox>&nbsp;<font color=red>*</font></td>
            </tr>
        </table>
       <table style="width: 80%" align=center class="Ibx_gTable_Con">
            <tr>
                <td colspan="2" align=center class=bg>
                管理员帐号设置
                </td>
            </tr>
            <tr>
                <td width="20%">
                    管理员用户名:</td>
                <td>
                    <asp:TextBox ID="TextBox5" runat="server" Width="200px">admin</asp:TextBox>&nbsp;<font color=red>*</font></td>
            </tr>
            <tr>
                <td width="20%">
                    管理员密码:</td>
                <td>
                    <asp:TextBox ID="TextBox6" runat="server" Width="200px">admin</asp:TextBox>&nbsp;<font color=red>*</font></td>
            </tr>
           <tr>
               <td width="20%">
                   管理员密码确认:</td>
               <td>
                   <asp:TextBox ID="TextBox12" runat="server" Width="200px">admin</asp:TextBox>&nbsp;<font color=red>*</font></td>
           </tr>
            <tr>
                <td width="20%">
                    管理员邮箱:</td>
                <td>
                    <asp:TextBox ID="TextBox7" runat="server" Width="200px">yupingyong@qq.com</asp:TextBox></td>
            </tr>
            <tr>
                <td>
                    </td>
                <td>
                    </td>
            </tr>
        </table>
        <br />
           <table style="width: 80%" align=center class="Ibx_gTable_Con">
            <tr align=center class=bg>
                <td colspan=2>
                网站参数设置
                </td>
            
            </tr>
            <tr>
                <td width="20%">
                    网站名称:</td>
                <td>
                    <asp:TextBox ID="TextBox8" runat="server" Width="240px">我的网站</asp:TextBox>&nbsp;<font color=red>*</font></td>
            </tr>
            <tr>
                <td width="20%">
                    网站地址:</td>
                <td>
                    <asp:TextBox ID="TextBox9" runat="server" Width="240px"></asp:TextBox>&nbsp;<font color=red>*</font></td>
            </tr>
            <tr>
                <td width="20%">
                    网站标题:</td>
                <td>
                    <asp:TextBox ID="TextBox10" runat="server" Width="239px">我的网站欢迎你</asp:TextBox></td>
            </tr>
            <tr>
                <td width="20%">
                    备案号:</td>
                <td>
                    <asp:TextBox ID="TextBox11" runat="server">暂无</asp:TextBox></td>
            </tr>
        </table>
           <table style="width: 80%" align=center class="Ibx_gTable_Con">
            <tr align=center>
                <td>
                 <a href=Default.aspx class=bt_css>上一步</a>&nbsp;&nbsp;<asp:LinkButton ID="LinkButton1" CssClass=bt_css runat="server" OnClientClick="return Display()" OnClick="LinkButton1_Click">安 装</asp:LinkButton></td>
            </tr>
        </table>
    </div>
      <table style="width: 80%;display:none" align=center id=tab class="Ibx_gTable_Con">
            <tr>
                <td align=center> 
               <font color=green><h5>程序安装中.....</h5></font> 
                </td>
            </tr>
        </table>
        </div>
        <table style="width:100%" class="Ibx_gTable_Con" runat=server id=tab_end>
        <tr><td align=center><font color=green><h4>系统安装成功!!!</h4></font></td></tr>
        <tr><td>后台地址:<a href="../admin/login.aspx" style="border-bottom: 1px">登陆后台</a></td></tr>
        <tr><td>前台地址:<a href="../index.aspx" style="border-bottom: 1px">浏览首页</a></td></tr>
        </table>
        </form>
           
 

</body>
</html>

